- hosts: projet
  tasks:
    - name: installation exim4
      apt: name=exim4 state=present

    - name: remove exim config file
      file: path={{ item }} state=absent
      with_items:
       - "/etc/exim4/update-exim4.conf.conf"
       - "/etc/mailname"

    - debconf: 
        name: exim4-config
        question: exim4/dc_eximconfig_configtype
        value: 'internet site; mail is sent and received directly using SMTP'
        vtype: select

    - debconf:
        name: exim4-config
        question: exim4/mailname
        value: 'loic.lan'
        vtype: string

    - debconf:
        name: exim4-config
        question: exim4/dc_other_hostnames
        value: ''
        vtype: string

    - debconf: 
        name: exim4-config
        question: exim4/use_split_config
        value: 'false'
        vtype: boolean

    - debconf: 
        name: exim4-config
        question: exim4/dc_local_interfaces
        value: '127.0.0.1'
        vtype: string

    - debconf: 
        name: exim4-config
        question: exim4/dc_minimaldns
        value: 'false'
        vtype: boolean

    - debconf: 
        name: exim4-config
        question: exim4/dc_relay_nets
        value: ''
        vtype: string

    - debconf: 
        name: exim4-config
        question: exim4/dc_localdelivery
        value: 'mbox format in /var/mail/'
        vtype: select

    - debconf: 
        name: exim4-config
        question: exim4/dc_relay_domains
        value: ''
        vtype: string

    - name: Reconfigure package exim4-config
      command: dpkg-reconfigure -fnoninteractive exim4-config

    - name: copie du fichier exim4.conf.template
      copy:
        src: exim4.conf.template
        dest: /etc/exim4/exim4.conf.template

    - name: Redémarrage exim4
      command: systemctl restart exim4



